Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jason.asSyntax
Enum RelExpr.RelationalOp

    java.lang.Object
      java.lang.Enum<RelExpr.RelationalOp>
          jason.asSyntax.RelExpr.RelationalOp

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RelExpr.RelationalOp>

Enclosing class:
  RelExpr

    public static enum RelExpr.RelationalOp

extends java.lang.Enum<RelExpr.RelationalOp>

Enum Constant Summary
`dif`
`eq`
`gt`
`gte`
`literalBuilder`
`lt`
`lte`
`none`
`unify`

Method Summary
`static RelExpr.RelationalOp` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RelExpr.RelationalOp[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### none

    public static final RelExpr.RelationalOp none

### gt

    public static final RelExpr.RelationalOp gt

### gte

    public static final RelExpr.RelationalOp gte

### lt

    public static final RelExpr.RelationalOp lt

### lte

    public static final RelExpr.RelationalOp lte

### eq

    public static final RelExpr.RelationalOp eq

### dif

    public static final RelExpr.RelationalOp dif

### unify

    public static final RelExpr.RelationalOp unify

### literalBuilder

    public static final RelExpr.RelationalOp literalBuilder

Method Detail

### values

    public static RelExpr.RelationalOp[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RelExpr.RelationalOp c : RelExpr.RelationalOp.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RelExpr.RelationalOp valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD